package ru.yandex.direct.api.v5.security.exception;

import ru.yandex.direct.api.v5.ApiFaultTranslations;

public class InternalAuthenticationServiceException extends AuthenticationException {

    public InternalAuthenticationServiceException(String internalMessage, Throwable cause) {
        super(internalMessage, cause, 1000, ApiFaultTranslations.INSTANCE.serviceUnavailable(), null);
    }

    public InternalAuthenticationServiceException(String internalMessage) {
        super(internalMessage, 1000, ApiFaultTranslations.INSTANCE.serviceUnavailable(), null);
    }
}
